Skip to main content
POST
/
api
/
v1
/
school
/
general-settings
Create general settings
curl --request POST \
  --url https://test-api.afrainity.com/api/v1/school/general-settings/ \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '{}'
{
  "created": true,
  "data": {
    "id": "123e4567-e89b-12d3-a456-426614174000",
    "school_name": "ABC Secondary School",
    "address": "123 Main Street, Dar es Salaam",
    "phone": "+255123456789",
    "email": "info@abcschool.ac.tz",
    "logo": null,
    "created_at": "2025-01-15T10:30:00Z",
    "updated_at": "2025-01-15T10:30:00Z"
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

{key}
any

Response

{key}
any